/**
 * 
 */
package utis.wall.controller;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.servlet.ModelAndView;

/**
 * @Class Name  : EtcController.java
 * @Description : 기타 jsp 페이지 Controller 
 * @Modification Information  
 * 
 *  수정일			수정자		수정내용
 *  -------------	---------	-------------------------------
 *  2022. 10. 21.	sjjung	    최초생성
 * 
 * @author 
 * @since 2022. 10. 21.
 * @version 1.0
 * @see
 * 
 */
@Controller
@RequestMapping("/")
@ResponseStatus(value = HttpStatus.ACCEPTED)
public class EtcController {
	@RequestMapping("checkMacAddress")
	public ModelAndView checkMacAddress(HttpServletRequest req, HttpServletResponse res) throws Exception {
		return new ModelAndView("checkMacAddress");
	}
	
	@RequestMapping("checkConnection")
	public ModelAndView checkConnection(HttpServletRequest req, HttpServletResponse res) throws Exception {
		return new ModelAndView("checkConnection");
	}
	
	@RequestMapping("sample")
	public ModelAndView sample(HttpServletRequest req, HttpServletResponse res) throws Exception {
		return new ModelAndView("sample");
	}
	
	@RequestMapping("checkMyId")
	public ModelAndView checkMyId(HttpServletRequest req, HttpServletResponse res) throws Exception {
		return new ModelAndView("checkMyId");
	}
}
